---
title: GET /structured-content/content-types/{content_type_id}/managed-migrations
slug: content-marketing-platform/api/get-structured-contentcontent-typescontenttypeidmanaged-migrations
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "9LEhqlk4HUYQLfcTONLQy",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /structured-content/content-types/{content_type_id}/managed-migrations",
    "description": "<p>Experimental Retrieves a list of managed migration jobs for a specific content type.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_type_id",
          "type": "string",
          "example": "645cb61c966d0c591320f636",
          "description": "Unique identifier of the content type."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "content_migration_summary",
          "type": "boolean",
          "example": true,
          "description": "<p>Whether include a summary of content migration status (total, not started, succeeded, errored).</p>",
          "default": false
        },
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 10,
          "description": "<p>Pagination offset (number of jobs to skip).</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer",
          "example": 25,
          "description": "<p>Pagination limit (number of jobs to return).</p>",
          "default": 100,
          "minimum": 1
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of managed migration jobs for the content type.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "SCContentTypeManagedMigrationResponse[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": "The ID of the managed migration job."
              },
              {
                "name": "instance_id",
                "kind": "optional",
                "type": "string",
                "description": "The ID of the instance."
              },
              {
                "name": "content_type_id",
                "kind": "optional",
                "type": "string",
                "description": "The ID of the content type."
              },
              {
                "name": "source_content_type_version_id",
                "kind": "optional",
                "type": "string",
                "description": "The ID of the source content type version."
              },
              {
                "name": "target_content_type_version_id",
                "kind": "optional",
                "type": "string",
                "description": "The ID of the target content type version."
              },
              {
                "name": "default_values",
                "kind": "optional",
                "type": "object",
                "description": "The default values for the content type.",
                "example": "",
                "schema": []
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<not_started | in_progress | success | error>",
                "description": "The status of the managed migration job.",
                "enum": [
                  "not_started",
                  "in_progress",
                  "success",
                  "error"
                ]
              },
              {
                "name": "created_at",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the managed migration job was created,  in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>).<p></p>",
                "example": "2019-10-06T13:15:30Z",
                "format": "date-time"
              },
              {
                "name": "updated_at",
                "kind": "optional",
                "type": "string",
                "description": "<p>Date and time on which the managed migration job was last updated,  in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>).<p></p>",
                "example": "2019-10-06T13:15:30Z"
              },
              {
                "name": "content_migration_summary",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ContentMigrationSummary",
                "customType": "ContentMigrationSummary",
                "schema": [
                  {
                    "name": "total",
                    "kind": "optional",
                    "type": "integer",
                    "description": "The total number of content items."
                  },
                  {
                    "name": "not_started",
                    "kind": "optional",
                    "type": "integer",
                    "description": "The number of content items that haven't started migrating."
                  },
                  {
                    "name": "succeeded",
                    "kind": "optional",
                    "type": "integer",
                    "description": "The number of content items that migrated successfully."
                  },
                  {
                    "name": "errored",
                    "kind": "optional",
                    "type": "integer",
                    "description": "The number of content items that failed to migrate."
                  },
                  {
                    "name": "skipped",
                    "kind": "optional",
                    "type": "integer",
                    "description": "The number of content items that are skipped due to content type version ID mismatch."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/SCContentTypeManagedMigrationResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "NQzlmd8OR1dYKEGwZtjSv",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "9efjpLKm1JzET61h0T3Ac",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "tvvG2cuy6lgKZ6Q9fHbMq",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "vd-RC4Wg8_JAf1IS9DilH",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "NQzlmd8OR1dYKEGwZtjSv"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of managed migration jobs for the content type.\n[\n  {\n    \"id\": \"\",\n    \"instance_id\": \"\",\n    \"content_type_id\": \"\",\n    \"source_content_type_version_id\": \"\",\n    \"target_content_type_version_id\": \"\",\n    \"default_values\": {},\n    \"status\": \"\",\n    \"created_at\": \"2019-10-06T13:15:30Z\",\n    \"updated_at\": \"2019-10-06T13:15:30Z\",\n    \"content_migration_summary\": {\n      \"total\": 0,\n      \"not_started\": 0,\n      \"succeeded\": 0,\n      \"errored\": 0,\n      \"skipped\": 0\n    }\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}